SDL_CreateTrayMenu(3)

NAME
SDL_CreateTrayMenu - Create a menu for a system tray.

HEADER FILE
Defined in SDL3/SDL_tray.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_TrayMenu * SDL_CreateTrayMenu(SDL_Tray *tray);

DESCRIPTION
This should be called at most once per tray icon.

This function does the same thing as

SDL_CreateTraySubmenu (), except that it takes a

SDL_Tray
 instead of a SDL_TrayEntry .

A menu does not need to be destroyed; it will be destroyed with the tray.

FUNCTION PARAMETERS

tray
    the tray to bind the menu to.

RETURN VALUE
( SDL_TrayMenu
 *) Returns the newly created menu.

THREAD SAFETY
This function should be called on the thread that created the tray.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_CreateTray(3), •(3), SDL_GetTrayMenu(3), •(3), SDL_GetTrayMenuParentTray(3)